<div class="new_flight__container">
    <h3 class="new_flight__title">Add new flight.</h3>
    <p class="new_flight__description">Please, provide necessary information about new flight.</p>

    <form class="new_flight__form" [formGroup]="flightForm" (ngSubmit)="onAddNewFlight()">

        <div class="new_flight__form_left">

            <label for="new_flight__select" class="new_flight__form_label">Departure airport</label>
            <select name="new_flight__select" class="new_flight__select_option" formControlName="airport_from">
                <option value="" disabled selected>Choose your departure airport</option>
                <option *ngFor="let a of airports" value="{{a.id}}"> {{a.name}} - {{a.city}} </option>
            </select>

            <label class="new_flight__form_label">Departure time</label>
            <input type="datetime-local" class="new_flight__input_text" formControlName="departure_date"
                name="trip-start" min="2023-01-01" value="2023-01-01">

        </div>
        <div class="new_flight__form_right">

            <label for="new_flight__select" class="new_flight__form_label">Destination airport</label>
            <select name="new_flight__select" class="new_flight__select_option" formControlName="airport_where">
                <option value="" disabled selected>Choose your destination airport</option>
                <option *ngFor="let a of airports" value="{{a.id}}"> {{a.name}} - {{a.city}} </option>
            </select>

            <label class="new_flight__form_label">Arrival time</label>
            <input type="datetime-local" class="new_flight__input_text" formControlName="arrival_date">
            <button class="new_flight__btn" type="submit">
                Add new flight
            </button>
        </div>

    </form>
</div>